Get live orderbooks for multiple markets
curl --request GET \
--url https://api.agg.market/orderbooks \
--header 'x-app-id: <api-key>'{
"data": [
{
"venueMarketId": "<string>",
"error": {
"message": "<string>",
"retryable": true
},
"requestedMarket": {
"venueMarketId": "<string>",
"tickSize": 123,
"endDate": "<string>",
"resolutionDate": "<string>"
},
"venueOrderbooks": {},
"matchedMarkets": [
{
"venueMarketId": "<string>",
"tickSize": 123,
"hasOrderbook": true
}
]
}
],
"meta": {
"requestedCount": 1,
"okCount": 1,
"errorCount": 1
}
}Orderbook
Get live orderbooks for multiple markets
Returns live per-venue orderbooks for the explicit venueMarketIds requested. venueMarketIds accepts either a comma-separated string (?venueMarketIds=a,b,c) or repeated params (?venueMarketIds=a&venueMarketIds=b). This is the only supported public REST endpoint for current orderbook reads.
GET
/
orderbooks
Get live orderbooks for multiple markets
curl --request GET \
--url https://api.agg.market/orderbooks \
--header 'x-app-id: <api-key>'{
"data": [
{
"venueMarketId": "<string>",
"error": {
"message": "<string>",
"retryable": true
},
"requestedMarket": {
"venueMarketId": "<string>",
"tickSize": 123,
"endDate": "<string>",
"resolutionDate": "<string>"
},
"venueOrderbooks": {},
"matchedMarkets": [
{
"venueMarketId": "<string>",
"tickSize": 123,
"hasOrderbook": true
}
]
}
],
"meta": {
"requestedCount": 1,
"okCount": 1,
"errorCount": 1
}
}Authorizations
Your application ID. Required for all app-tier and user-tier routes.
Query Parameters
Maximum array length:
20Required range:
1 <= x <= 100⌘I